Jumi incompatible Joomla 3.4.5

A multipurpose module, plugin and component

Jumi incompatible Joomla 3.4.5

New postby Peppe-73 » Fri Nov 27, 2015 7:53 pm

Hi, I recently upgrade from Joomla 2.5.x to 3.4.5, your extension does not work anymore, if I try to build the site in CRASC and does not work anymore.

Please, please, with the highest priority to making you as soon as your extension compatible with Joomla 3.4.5, I use it a lot on all the sites that I created.

Thank you

excuse my language but I translate with google
Peppe-73
 
Posts: 4
Joined: Fri Nov 27, 2015 7:48 pm

Re: Jumi incompatible Joomla 3.4.5

New postby Peppe-73 » Wed Dec 02, 2015 1:41 am

There is support in this forum? There is nobody ?
Peppe-73
 
Posts: 4
Joined: Fri Nov 27, 2015 7:48 pm

Re: Jumi incompatible Joomla 3.4.5

New postby john47 » Thu Dec 03, 2015 12:42 pm

I have a fresh install of Joomla 3.4.5 and jumi-3.0.4-2glux.com

The component will not save or close. The advice on another thread about changing a default file is not possible as the directory structure is different


The default.php does only contain 9 lines :
--------------------------------------
<?php
/**
* @version $Id$
* @package Jumi
* @copyright (C) 2008 - 2013 Simon Poghosyan
* @license GNU/GPL v3 http://www.gnu.org/licenses/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
--------------------------------------

The path to this file is not
com_jumi\views\editapplication\tmpl\
but
com_jumi\views\application\tmpl\
there is no \editapplication
john47
 
Posts: 2
Joined: Thu Dec 03, 2015 12:37 pm

Re: Jumi incompatible Joomla 3.4.5

New postby theitd » Wed Dec 09, 2015 3:39 pm

I had the same problem and rely on Jumi a lot.

Just to be clearer about the solution, here's what you can do:

    Create a template override of the jumi editapplication view. So copy the default.php like so (creating any required directories:

Code: Select all
from:  /administrator/components/com_jumi/views/editapplication/default.php
to: /administrator/templates/isis/html/com_jumi/editapplication/default.php


Once that's done, add the id="adminForm" attribute to the form tag (on line 44). So it looks like the attached.
Best of luck - and hope this helps.

Image
theitd
 
Posts: 1
Joined: Wed Dec 09, 2015 3:22 pm

Re: Jumi incompatible Joomla 3.4.5

New postby Edvard » Wed Dec 09, 2015 4:12 pm

Hi,

Jumi 3.0.5 is released, please try it and let me know.

Thanks!
Regards,

Edvard Ananyan - 2GLux Team

Please post a review at the Joomla Extensions Directory. It is very important for us!
Edvard
Site Admin
 
Posts: 1836
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: Jumi incompatible Joomla 3.4.5

New postby Peppe-73 » Fri Dec 11, 2015 8:00 pm

Thanks, now works with updating, but now leave these lines because of error ?

Strict Standards: Non-static method modJumiHelper::getCodeWritten() should not be called statically in /web/htdocs/www.mypcdoktor.it/home/modules/mod_jumi/mod_jumi.php on line 16

Strict Standards: Non-static method modJumiHelper::getStorageSource() should not be called statically in /web/htdocs/www.mypcdoktor.it/home/modules/mod_jumi/mod_jumi.php on line 17
Peppe-73
 
Posts: 4
Joined: Fri Nov 27, 2015 7:48 pm

Re: Jumi incompatible Joomla 3.4.5

New postby luckyluke » Tue Dec 22, 2015 11:27 pm

Same error here:

Code: Select all
Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumirouter/jumirouter.php on line 20

Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumirouter/jumirouter.php on line 33

Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumirouter/jumirouter.php on line 35

Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumirouter/jumirouter.php on line 36

Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumirouter/jumirouter.php on line 55

Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumi/jumi.php on line 25

Strict Standards: Only variables should be assigned by reference in /var/www/vhosts/domainname.nl/httpdocs/plugins/system/jumi/jumi.php on line 29


Joomla 3.4.7
PHP 5.6.16
Jumi 3.0.5
luckyluke
 
Posts: 2
Joined: Tue Dec 22, 2015 11:23 pm

Re: Jumi incompatible Joomla 3.4.5

New postby luckyluke » Tue Dec 22, 2015 11:40 pm

problem is gone when i switch back to PHP 5.3.27
luckyluke
 
Posts: 2
Joined: Tue Dec 22, 2015 11:23 pm

Re: Jumi incompatible Joomla 3.4.5

New postby Peppe-73 » Wed Dec 23, 2015 5:19 pm

So, it should be made compatible with latest version of PhP, please upgrade to version Jumi PhP top

Thank you
Peppe-73
 
Posts: 4
Joined: Fri Nov 27, 2015 7:48 pm


Return to Jumi

Who is online

Users browsing this forum: No registered users and 2 guests

cron